using System;
using System.Windows.Forms;

namespace ClipBoardTool
{
	/// <summary>
	/// clipboard to htmlEncode
	/// (e.g. '&' -> "&nbsp;")
	/// </summary>
	class clip2htmlEncode
	{
		/// <summary>
		/// AvP[ṼC Gg |CgłB
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			IDataObject iData = Clipboard.GetDataObject(); // Nbv{[h擾
			if (iData.GetDataPresent(DataFormats.Text)) // eLXgf[^Ȃ
			{
				Clipboard.SetDataObject( // ϊāAւ
					htmlEncode( iData.GetData(DataFormats.Text).ToString() )
					,true
					);
				Console.WriteLine("Successed");
			}
		}

		/// <summary>
		/// HTML̓ꕶɕϊ
		/// </summary>
		/// <param name="str"></param>
		/// <returns></returns>
		public static string htmlEncode(string str)
		{
			string result = "";
			for(int i = 0; i < str.Length; i++)
			{
				switch(str[i])
				{
					case '\"':
						result+="&quot;";
						break;
					case '&':
						result+="&amp;";
						break;
					case '<':
						result+="&lt;";
						break;
					case '>':
						result+="&gt;";
						break;
					case ' ':
						result+="&nbsp;";
						break;
					case 'c':
						result+="&copy;";
						break;
					case '\\':
						result+="&yen;";
						break;
					case '	':
						result+="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
						break;
					default:
						result+=str[i];
						break;
				}
			}
			return result;
		}

		/// <summary>
		/// HTML̓ꕶ猳ɖ߂
		/// </summary>
		/// <param name="str"></param>
		/// <returns></returns>
		public static string htmlDecode(string str)
		{
			string result = "";
			return result;
		}
	}
}
